apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-hubble-relay-metrics
  namespace: kube-system
spec:
  description: Allow Hubble Relay Metrics
  endpointSelector:
    matchLabels:
      k8s-app: hubble-relay
  ingress:
    - fromEndpoints:
        - matchLabels:
            io.kubernetes.pod.namespace: prometheus
    - toPorts:
        - ports:
            - port: "9966"
              protocol: TCP
